import { FoundationElement } from '@microsoft/fast-foundation';
import Calendar from './calendar';
export declare const foundationDatePickerShadowOptions: ShadowRootInit;
export declare const defaultDatePickerConfig: {};
/**
 * @tagname %%prefix%%-date-picker
 */
export declare class DatePicker extends FoundationElement {
    format: string;
    formatChanged(oldValue: string, newValue: string): void;
    lang: string;
    visible: boolean;
    position: string;
    value: string;
    valueChanged(oldValue: string, newValue: string): void;
    currentDate: any;
    currentMonth: Calendar;
    currentYear: number;
    calendarDropdownClasses: String;
    formatDate: string;
    monthList: any;
    calendar: Calendar;
    toggleButton: HTMLElement;
    calendarDaysContainer: HTMLElement;
    selectedDayElement: HTMLElement;
    prevBtn: HTMLElement;
    nextBtn: HTMLElement;
    substringNumber: number;
    constructor();
    connectedCallback(): void;
    updateHeaderText(): void;
    toggleCalendar(): void;
    toggleVisibility(): void;
    isSelectedDate(date: any): boolean;
    isCurrentCalendarMonth(): boolean;
    prevMonth(): void;
    nextMonth(): void;
    selectDay(day: any): void;
    getMonthDaysGrid(): unknown[];
}
/**
 * The Foundation DatePicker
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-date-picker\>
 */
export declare const foundationDatePicker: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<DatePicker, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<DatePicker, any>;
    shadowOptions: ShadowRootInit;
}, typeof DatePicker>;
//# sourceMappingURL=date-picker.d.ts.map