import { ErrorStructure } from '@genesislcap/foundation-errors';
import { NotificationStructure } from '@genesislcap/foundation-notifications';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationSnackbarShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-snackbar
 */
export declare class Snackbar extends FoundationElement {
    snackbar: HTMLElement;
    error: ErrorStructure;
    notification: NotificationStructure;
    deleteAnimation: string;
    closeTimeout: number;
    autoClose: boolean;
    type: 'error' | '';
    connectedCallback(): void;
    errorChanged(oldValue: ErrorStructure, newValue: ErrorStructure): void;
    notificationChanged(oldValue: NotificationStructure, newValue: NotificationStructure): void;
    /**
     * Remove the snackbar from display.
     */
    dismiss(): void;
}
/**
 * The Foundation Snackbar
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-snackbar\>
 */
export declare const foundationSnackbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Snackbar, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Snackbar, any>;
    shadowOptions: ShadowRootInit;
}, typeof Snackbar>;
//# sourceMappingURL=snackbar.d.ts.map