// Genesis Foundation Zero
import { foundationAccordion } from './accordion';
import { foundationAccordionItem } from './accordion-item';
import { foundationActionsMenu } from './actions-menu';
import { foundationAnchor } from './anchor';
import { foundationAnchoredRegion } from './anchored-region';
import { foundationAvatar } from './avatar';
import { foundationBadge } from './badge';
import { foundationBanner } from './banner';
import { foundationBreadcrumb } from './breadcrumb';
import { foundationBreadcrumbItem } from './breadcrumb-item';
import { foundationButton } from './button';
import { foundationCalendar } from './calendar';
import { foundationCard } from './card';
import { foundationCheckbox } from './checkbox';
import { foundationCombobox } from './combobox';
import { foundationConnectionIndicator } from './connection-indicator';
import { foundationDataGrid } from './data-grid';
import { foundationDataGridCell } from './data-grid-cell';
import { foundationDataGridRow } from './data-grid-row';
import { foundationDatePicker } from './date-picker';
import { foundationDesignSystemProvider } from './design-system-provider';
import { foundationDialog } from './dialog';
import { foundationDisclosure } from './disclosure';
import { foundationDivider } from './divider';
import { foundationDropdownMenu } from './dropdown-menu';
import { foundationErrorBanner } from './error-banner';
import { foundationErrorBoundary } from './error-boundary';
import { foundationErrorDialog } from './error-dialog';
import { foundationFileUpload } from './file-upload';
import { foundationFilter } from './filter/';
import { foundationFilterBar } from './filter-bar/';
import { foundationFlexLayout } from './flex-layout';
import { foundationFlipper } from './flipper/';
import { foundationFlyout } from './flyout/';
import { foundationGridLayout } from './grid-layout';
import { foundationGridLayoutItem } from './grid-layout-item';
import { foundationHorizontalScroll } from './horizontal-scroll';
import { foundationIcon } from './icon';
import { foundationListbox } from './listbox';
import { foundationListboxOption } from './listbox-option';
import { foundationMenu } from './menu';
import { foundationMenuItem } from './menu-item';
import { foundationModal } from './modal';
import { foundationMultiselect } from './multiselect';
import { foundationNumberField } from './number-field';
import { foundationPopper } from './popper';
import { foundationProgress } from './progress';
import { foundationProgressRing } from './progress-ring';
import { foundationRadio } from './radio';
import { foundationRadioGroup } from './radio-group';
import { foundationSegmentedControl } from './segmented-control';
import { foundationSegmentedItem } from './segmented-item';
import { foundationSelect } from './select/index';
import { foundationSkeleton } from './skeleton';
import { foundationSlider } from './slider';
import { foundationSliderLabel } from './slider-label';
import { foundationSnackbar } from './snackbar';
import { foundationStepper } from './stepper';
import { foundationStepperTab } from './stepper-tab';
import { foundationStepperTabPanel } from './stepper-tab-panel';
import { foundationSwitch } from './switch';
import { foundationTab } from './tab';
import { foundationTabPanel } from './tab-panel';
import { foundationTabs } from './tabs';
import { foundationTextArea } from './text-area';
import { foundationTextField } from './text-field';
import { foundationToast } from './toast';
import { foundationToolbar } from './toolbar';
import { foundationTooltip } from './tooltip';
import { foundationTreeItem } from './tree-item';
import { foundationTreeView } from './tree-view';
import { foundationUrlInput } from './url-input';
export const baseComponents = {
    foundationAccordion,
    foundationAccordionItem,
    foundationActionsMenu,
    foundationAnchor,
    foundationAnchoredRegion,
    foundationAvatar,
    foundationBadge,
    foundationBanner,
    foundationBreadcrumbItem,
    foundationBreadcrumb,
    foundationButton,
    foundationCalendar,
    foundationCard,
    foundationCheckbox,
    foundationCombobox,
    foundationConnectionIndicator,
    foundationDataGrid,
    foundationDataGridCell,
    foundationDataGridRow,
    foundationDatePicker,
    foundationDesignSystemProvider,
    foundationDialog,
    foundationDisclosure,
    foundationDivider,
    foundationDropdownMenu,
    foundationErrorBoundary,
    foundationErrorBanner,
    foundationErrorDialog,
    foundationFileUpload,
    foundationFilter,
    foundationFilterBar,
    foundationFlexLayout,
    foundationFlipper,
    foundationFlyout,
    foundationGridLayout,
    foundationGridLayoutItem,
    foundationHorizontalScroll,
    foundationIcon,
    foundationListbox,
    foundationListboxOption,
    foundationMenu,
    foundationMenuItem,
    foundationModal,
    foundationMultiselect,
    foundationNumberField,
    foundationProgress,
    foundationPopper,
    foundationProgressRing,
    foundationRadio,
    foundationRadioGroup,
    foundationSegmentedControl,
    foundationSegmentedItem,
    foundationSelect,
    foundationSkeleton,
    foundationSlider,
    foundationSliderLabel,
    foundationSnackbar,
    foundationStepper,
    foundationStepperTab,
    foundationStepperTabPanel,
    foundationSwitch,
    foundationTab,
    foundationTabPanel,
    foundationTabs,
    foundationTextArea,
    foundationTextField,
    foundationToast,
    foundationToolbar,
    foundationTooltip,
    foundationTreeItem,
    foundationTreeView,
    foundationUrlInput,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
