import { html, ref, repeat } from '@microsoft/fast-element';
import { getPrefix } from '../utils';
export const getPrefixedSnackbar = (prefix) => html `
  <div class="snackbar ${(x) => x.deleteAnimation}" ${ref('snackbar')}>
    <div part="content" class="content">
      <div>
        ${(x) => { var _a, _b; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || ((_b = x.notification) === null || _b === void 0 ? void 0 : _b.body) || 'Place holder for error message'; }}
      </div>
    </div>
    <div part="action" class="action">
      ${repeat((x) => {
    var _a, _b, _c, _d, _e, _f;
    return ((_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.snackbar) === null || _c === void 0 ? void 0 : _c.confirmingActions) ||
        ((_f = (_e = (_d = x.notification) === null || _d === void 0 ? void 0 : _d.config) === null || _e === void 0 ? void 0 : _e.snackbar) === null || _f === void 0 ? void 0 : _f.confirmingActions);
}, html `
          <${prefix}-button
            slot="action"
            appearance="lightweight"
            @click=${(x, c) => {
    var _a;
    x === null || x === void 0 ? void 0 : x.action();
    (_a = c.parent) === null || _a === void 0 ? void 0 : _a.dismiss();
}}
          >
            ${(x) => x.label}
          </${prefix}-button>
        `)}
    </div>
  </div>
`;
export const foundationSnackbarTemplate = html `
  ${(x) => getPrefixedSnackbar(getPrefix(x))}
`;
